# $Id: python-cheetah.spec 6622 2008-12-24 09:26:46Z cmr $
# Authority: dag

%define python_sitearch %(%{__python} -c 'from distutils import sysconfig; print sysconfig.get_python_lib(1)')

%define real_name Cheetah

Summary: Template engine and code-generator
Name: python-cheetah
Version: 2.0.1
Release: 2.ru
License: MIT
Group: Development/Libraries
URL: http://cheetahtemplate.org/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://dl.sf.net/cheetahtemplate/Cheetah-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: python-devel
BuildRequires: python-setuptools-devel 

%description
Cheetah is an open source template engine and code generation tool, written
in Python. It can be used standalone or combined with other tools and
frameworks. Web development is its principle use, but Cheetah is very
flexible and is also being used to generate C++ game code, Java, sql,
form emails and even Python code.

%prep
%setup -n %{real_name}-%{version}

%build
export CHEETAH_USE_SETUPTOOLS=1
%{__python} setup.py build 

%install
%{__rm} -rf %{buildroot}
export CHEETAH_USE_SETUPTOOLS=1
%{__python} setup.py install -O1 --skip-build --root %{buildroot} 

export PATH="%{buildroot}/%{_bindir}:$PATH"
export PYTHONPATH="%{buildroot}/%{python_sitearch}"
%{__python} %{buildroot}/%{python_sitearch}/Cheetah/Tests/Test.py


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc CHANGES LICENSE README TODO
%{_bindir}/cheetah
%{_bindir}/cheetah-compile
%dir %{python_sitearch}/Cheetah
%{python_sitearch}/Cheetah/*.py
%{python_sitearch}/Cheetah/*.pyc
%{python_sitearch}/Cheetah/_namemapper.so
%{python_sitearch}/Cheetah/*.pyo

%dir %{python_sitearch}/Cheetah/Macros
%{python_sitearch}/Cheetah/Macros/*.py
%{python_sitearch}/Cheetah/Macros/*.pyc
%{python_sitearch}/Cheetah/Macros/*.pyo

%dir %{python_sitearch}/Cheetah/Templates
%{python_sitearch}/Cheetah/Templates/*.py
%{python_sitearch}/Cheetah/Templates/*.pyc
%{python_sitearch}/Cheetah/Templates/*.tmpl
%{python_sitearch}/Cheetah/Templates/*.pyo

%dir %{python_sitearch}/Cheetah/Tests
%{python_sitearch}/Cheetah/Tests/*.py
%{python_sitearch}/Cheetah/Tests/*.pyc
%{python_sitearch}/Cheetah/Tests/*.pyo

%dir %{python_sitearch}/Cheetah/Tools
%{python_sitearch}/Cheetah/Tools/*.py
%{python_sitearch}/Cheetah/Tools/*.pyc
%{python_sitearch}/Cheetah/Tools/*.txt
%{python_sitearch}/Cheetah/Tools/*.pyo

%dir %{python_sitearch}/Cheetah/Utils
%{python_sitearch}/Cheetah/Utils/*.py
%{python_sitearch}/Cheetah/Utils/*.pyc
%{python_sitearch}/Cheetah/Utils/*.pyo

%dir %{python_sitearch}/Cheetah/Utils/optik
%{python_sitearch}/Cheetah/Utils/optik/*.py
%{python_sitearch}/Cheetah/Utils/optik/*.pyc
%{python_sitearch}/Cheetah/Utils/optik/*.pyo

%dir %{python_sitearch}/Cheetah-%{version}-*.egg-info
%{python_sitearch}/Cheetah-%{version}-*.egg-info/PKG-INFO
%{python_sitearch}/Cheetah-%{version}-*.egg-info/*.txt



%changelog
* Fri May 14 2010 Orcan Ogetbil <orcan@nbcs.rutgers.edu> - 2.0.1-2
- Rebuild with setuptools to include the egginfo

* Tue Dec 24 2008 Christoph Maser <cmr@financial.com> - 2.0.1-1 - 6622/cmr
- Update Version

* Sat May 12 2007 Dag Wieers <dag@wieers.com> - 2.0-0.1.rc8
- Initial package. (using DAR)
